package cn.ibizlab.core.uaa.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;

import cn.ibizlab.core.uaa.domain.SYS_ROLE;
import cn.ibizlab.core.uaa.filter.SYS_ROLESearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[SYS_ROLE] 服务对象接口
 */
public interface ISYS_ROLEService extends IService<SYS_ROLE>{

    boolean save(SYS_ROLE et) ;
    void saveBatch(List<SYS_ROLE> list) ;
    boolean update(SYS_ROLE et) ;
    void updateBatch(List<SYS_ROLE> list) ;
    boolean create(SYS_ROLE et) ;
    void createBatch(List<SYS_ROLE> list) ;
    SYS_ROLE get(String key) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    SYS_ROLE getDraft(SYS_ROLE et) ;
    boolean checkKey(SYS_ROLE et) ;
    Page<SYS_ROLE> searchDefault(SYS_ROLESearchContext context) ;



    List<JSONObject> select(String sql);
    boolean execute(String sql);

}


